{postcode}: Lookup Postcode

API: postcodes.io:postcodes.io
Endpoint: /postcodes/{postcode}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 164ms

Description

Returns the geolocation and administrative data for a given UK postcode.

Parameters (1)

postcode (string, path, required)

UK postcode to lookup (e.g., SW1A 1AA or SW1A1AA)

Examples (1)

Lookup postcode openapi-spec
curl 'https://api.postcodes.io/postcodes/SW1A1AA'
import requests

resp = requests.get("https://api.postcodes.io/postcodes/SW1A1AA")
data = resp.json()
import zingu_apis

api = zingu_apis.api("postcodes")
result = api.fetch("postcodes/{postcode}")

for item in result:
    print(item)
const resp = await fetch("https://api.postcodes.io/postcodes/SW1A1AA");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:32:36.809673 200 164ms
2026-04-16 02:39:52.721487 200 108ms
2026-04-15 02:54:44.798487 200 173ms
2026-04-14 01:40:19.899900 200 174ms
2026-04-12 12:34:27.552409 200 164ms
2026-04-10 01:53:52.490146 200 123ms
2026-04-09 02:34:27.212673 200 188ms